Subject: [PATCH] PCI:MSI Return -ENOSPC when requested vectors is not enough

From: [email-masked] (Christoph Hellwig)
Date: Thu, 1 Dec 2016 09:52:43 +0100

Hi Dennis,

I've fixed ahci to treat all errors the same in the meantime, please
try latest Linux tree.  That being said I don't like the different
error returns from __pci_enable_msi_range (and __pci_enable_msix_range),
but they have been there for a while.